Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.config.blueprint
Class SolverBenchmarkBluePrintConfig

    java.lang.Object
      org.optaplanner.benchmark.config.blueprint.SolverBenchmarkBluePrintConfig

    public class SolverBenchmarkBluePrintConfig

extends Object

Field Summary
`protected SolverBenchmarkBluePrintType` | `solverBenchmarkBluePrintType`

Constructor Summary
`SolverBenchmarkBluePrintConfig()`

Method Summary
`protected List<SolverBenchmarkConfig>` | `buildAllConstructionHeuristicTypes()`
`List<SolverBenchmarkConfig>` | `buildSolverBenchmarkConfigList()`
`SolverBenchmarkBluePrintType` | `getSolverBenchmarkBluePrintType()`
`void` | `setSolverBenchmarkBluePrintType(SolverBenchmarkBluePrintType solverBenchmarkBluePrintType)`
`protected void` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### solverBenchmarkBluePrintType

    protected SolverBenchmarkBluePrintType solverBenchmarkBluePrintType

Constructor Detail

### SolverBenchmarkBluePrintConfig

    public SolverBenchmarkBluePrintConfig()

Method Detail

### getSolverBenchmarkBluePrintType

    public SolverBenchmarkBluePrintType getSolverBenchmarkBluePrintType()

### setSolverBenchmarkBluePrintType

    public void setSolverBenchmarkBluePrintType(SolverBenchmarkBluePrintType solverBenchmarkBluePrintType)

### buildSolverBenchmarkConfigList

    public List<SolverBenchmarkConfig> buildSolverBenchmarkConfigList()

### validate

    protected void validate()

### buildAllConstructionHeuristicTypes

    protected List<SolverBenchmarkConfig> buildAllConstructionHeuristicTypes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.